
    <!DOCTYPE html>
    <html>
    
        <head>
            <meta charset="utf-8">
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
            <title>Cartography</title>
            <meta name="description" content="Data visualisation of places visited on earth.">
            <link rel="stylesheet" href="main.css">
            <script src="processing.js" ></script>
            <link rel="icon" type="img/png" href="icon.png">
            
            
             <link rel="stylesheet" href="http://cdn.leafletjs.com/leaflet-0.6/leaflet.css" />
            <link href='//api.tiles.mapbox.com/mapbox.js/v1.2.0/mapbox.standalone.css' rel='stylesheet' />
            <script src="http://cdn.leafletjs.com/leaflet-0.6/leaflet.js"></script>
            <script src='//api.tiles.mapbox.com/mapbox.js/v1.2.0/mapbox.standalone.js'></script>
            <style>
            #map {
            width:100%;
            height:400px;
            overflow: hidden;
            }
            </style>

        </head>
        <body>
            
             <img alt="pattern" src="Udayan Umapathi2.png" height="80"
                width="300">
            
            <br>
            <br>

           
            
            <ulh>
                <lih><a  class="menu" href="index.html" >home</a></lih>
                <lih><a class="menu" href="projects.html" >projects</a></lih>
                <lih><a class="menu" href="research.html">research</a></lih>
                <lih><a class="menu" href="hobby.html">obsession</a></lih>
            </ulh>
        
            <hr class="style-one"/>
            
            <p> In my list of "things to do before I die", I want to talk about one thing in particular on this page: "Exploring Planet Earth". As a kid I was always excited to go out on a trip. Visiting new places has been 
                sort of a hobby of mine. Although, during this phase of my life (grad school) trips are shorter than I would like them to 
                be, I ensure I go out and explore new places. There is a feeling of sadness that hits me everytime I return from a trip. 
                Over a period of years, I realised, it is not just the feeling of "end of good times", there is something more to it.</p> 
            
            <p> Ever since I started using a mobile phone, traveling become even more exciting and fun. A visual representation of my 
                lifetime on a map seemed quite interesting to me.  Recently, I started working on this simple experiment trying to map 
                all the places I visit. I have sprinkled some meta-data over the markers on the map below. This map gives you an idea of 
                what I have been doing since I was born. Zoom in if necessary. </p> 
            
            <p> I believe it is possible to add more meta-data to the markers in the map and create an interactive map which can act as a 
                timeline of one's life. This is a work in progress, any feedbacks and suggestions are welcome.</p>
            
            <br>
            
            <div id='map'> </div>
            <script type='text/javascript'>
            var map = L.mapbox.map('map', 'perceptron.ma5dbo6r')
            .setView([1.4062,11.1784], 2).marker.style;
            </script>  
            
            <br>
            <p>
            Here is another interesting map with meta-data from a mobile App.
            I use <a href="https://foursquare.com/" target="_blank">FourSquare </a>(a location-based social networking website for mobile 
            devices) quite often to check into places I visit. I pulled all the data from Foursquare service and created the map 
            below. Feel free to zoom in and get a glimpse pf the restaurants and parties I was at!</p> 
            
            <br>
            
            <div id='map' > </div>
            <script type='text/javascript'>
            var map2 = L.mapbox.map('map', 'perceptron.n6wasjor')
            .setView([1.4062,11.1784], 2).marker.style;
            </script> 
            
            <hr class="style-seven" />            
            <p class="left">copyrights©2013 Udayan</p>
            <br style="clear: both" /> 
            
       </body>
    </html>


